21 јан 2019 uruk-save 20190121

1.
NAME
2.
SYNOPSIS
3.
OPTIONS
4.
DESCRIPTION
5.
WARNING
6.
SEE ALSO
7.
COPYRIGHT
8.
AUTHOR

## NAME

uruk-save — save uruk rc configuration in iptables-save-style format

## SYNOPSIS

uruk-save [-6]

## OPTIONS

-6
Don't save iptables rules but save ip6tables rules, for IPv6 filtering.

## DESCRIPTION

uruk-save saves the IPv4 rules (for all of the filter, raw, mangle and nat tables) in `/etc/uruk/rc` in iptables-save(5)-style format, without invoking iptables(8). If the -6 option is given, the IPv6 rules (if any) in `/etc/uruk/rc` are saved, in ip6tables-save(5)-style format. It prints output to stdout; suggested invocation therefore is
# uruk-save > /var/lib/uruk/iptables/active
or
# uruk-save -6 > /var/lib/uruk/ip6tables/active
. This script is useful if you don't like the default behaviour of the uruk init script, and would like it to load the current uruk rc file instead of the current active file. Please note: generally you don't need to invoke this script manually: the script urukctl which comes with uruk is suitable for most cases, it invokes uruk-save if needed.

## WARNING

Just as uruk, in order to keep the uruk-save script small and simple, the script does very little error handling. It does not check the contents of the rc file in any way before executing it. When your rc file contains bogus stuff, uruk-save will very likely behave in unexpected ways. Caveat emptor.

Things will likely break if you do very fancy stuff in an rc hook file. If your rc file is in verbose mode (i.e. it features `set -x`) or in no-act mode (i.e. it features a hardcoded `iptables='echo iptables'`), uruk-save fails.

## SEE ALSO

uruk(8), uruk-rc(5) .

## COPYRIGHT

Copyright (C) 2005, 2007, 2010, 2011, 2012, 2013 Joost van Baal-Ilić <joostvb-uruk@mdcc.cx>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

## AUTHOR

Joost van Baal-Ilić <joostvb-uruk@mdcc.cx>